/// <reference types="node" />
import { Server } from 'http';
import { LernaGraph, LernaNode, Service } from '../lerna';
import { ServiceStatus } from '../lerna/enums/service.status';
import { TypeCheckStatus, TranspilingStatus } from '../lerna/enums/compilation.status';
import { IEventLog, Logger } from '../utils/logger';
import { RecompilationScheduler } from '../utils/scheduler';
export declare class IOSocketManager {
    private _io;
    private _serviceToListen;
    private _scheduler;
    private _logger;
    private _graph;
    constructor(server: Server, scheduler: RecompilationScheduler, logger: Logger, graph: LernaGraph);
    statusUpdated(node: Service, status: ServiceStatus): void;
    transpilingStatusUpdated(node: LernaNode, status: TranspilingStatus): void;
    typeCheckStatusUpdated(node: LernaNode, status: TypeCheckStatus): void;
    eventLogAdded(log: IEventLog): void;
    handleServiceLog(service: string, data: string): void;
    handleTscLogs(node: string, data: string): void;
}
